> ## Documentation Index
> Fetch the complete documentation index at: https://docs.go.gbgplc.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Submit customer identity data, documents, and verification inputs to a GBG GO journey task. Deprecated.

# Submit task data



## OpenAPI

````yaml docs/go-v2/openapi-v2.json POST /journey/task/update
openapi: 3.0.4
info:
  title: GBG GO API Reference V2
  description: >-
    The GBG GO V2 API enables authentication, customer journey execution, task
    management, and tracking verification progress.
  version: 2.0.0
  license:
    name: MIT
servers:
  - url: https://eu.platform.go.gbgplc.com/v2/captain/
  - url: https://us.platform.go.gbgplc.com/v2/captain/
  - url: https://au.platform.go.gbgplc.com/v2/captain/
  - url: https://api.auth.gbgplc.com/as/token.oauth2
security:
  - bearerAuth: []
paths:
  /journey/task/update:
    post:
      summary: Submit task data
      description: >-
        Send data to complete a task in a customer's journey. See the [submit
        data
        guide](/docs/developer-integration/execute-customer-journeys/submit-task-data-step)
        for details.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                intent:
                  type: string
                  description: The intent of the request.
                  example: Complete
                instanceId:
                  type: string
                  description: Unique identifier for the active journey instance.
                  example: PiIbYsgiHp4R8JPz2vU5Y9l4
                taskId:
                  type: string
                  description: Unique identifier for the task being updated.
                  example: Tkob6dMMHp4R8JPz2vU5Y9l4
                context:
                  type: object
                  description: The data required to complete the task.
                  properties:
                    subject:
                      type: object
                      properties:
                        identity:
                          type: object
                          properties:
                            currentAddress:
                              type: object
                              properties:
                                country:
                                  type: string
                                  example: GBR
                                postalCode:
                                  type: string
                                  example: BA133BN
                                locality:
                                  type: string
                                  example: Westbury
                                thoroughfare:
                                  type: string
                                  example: High Street
                                building:
                                  type: string
                                  example: '4'
                                administrativeArea:
                                  type: string
                                  example: Wilts
                            dateOfBirth:
                              type: string
                              format: date
                              example: '1967-01-01'
                            firstName:
                              type: string
                              example: pari
                            middleNames:
                              type: array
                              items:
                                type: string
                              example:
                                - c
                            lastNames:
                              type: array
                              items:
                                type: string
                              example:
                                - powell
              required:
                - intent
                - instanceId
                - taskId
      responses:
        '201':
          description: Task data submitted successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  instanceId:
                    type: string
                    description: Unique identifier for the active journey instance.
                  taskId:
                    type: string
                    description: Unique identifier for the task.
      deprecated: true
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````